package fitNesseFixture;

import exceptions.BidBelowZeroException;
import project.AuctionManager;
import project.User;

public class AuctionManagerFixture {

	private AuctionManager managerInstance;
	private User user;
	private int value;

	public AuctionManagerFixture(int usr) {

		user = new User(usr);

	}

	public String placeBid() {

		managerInstance = AuctionManager.getInstance();

		try {

			if (managerInstance.placeBid(user, value)) {

				return "Bid placed!";

			}

		} catch (BidBelowZeroException e) {

			return e.getMessage();

		}

		return null;

	}

	public void setValue(int value) {

		this.value = value;

	}

	public void setAb(AuctionManager ab) {

		this.managerInstance = ab;

	}

}
